package com.oguerreiro.resilient.error;

public class ImporterVariableValueException extends ResilientException {
  private static final String CODE = "E011";

  public ImporterVariableValueException(String sheetName, int row, String variableCode, String variableType,
      String variableValue) {
    super("Sheet [" + sheetName + "]; Row[" + row + "]; Variable Code [" + variableCode
        + "]; Unable to read the value [" + variableValue + "] has type [" + variableType + "].");

    addMessageArg(sheetName);
    addMessageArg(row);
    addMessageArg(variableCode);
    addMessageArg(variableType);
    addMessageArg(variableValue);
  }

  @Override
  public String getMessageCode() {
    return CODE;
  }

}